Avro C#

Public Member Functions | List of all members
Avro.ProtocolParseException Class Reference

Used to communicate an exception that occurred while parsing a protocol. More...

Inheritance diagram for Avro.ProtocolParseException:

## Public Member Functions
| ProtocolParseException ()
| Initializes a new instance of the ProtocolParseException class. More...
| ProtocolParseException (string s)
| Initializes a new instance of the ProtocolParseException class. More...
| ProtocolParseException (string s, Exception inner)
| Initializes a new instance of the ProtocolParseException class. More...
Public Member Functions inherited from Avro.AvroException
| AvroException ()
| Initializes a new instance of the AvroException class. More...
| AvroException (string s)
| Initializes a new instance of the AvroException class. More...
| AvroException (string s, Exception inner)
| Initializes a new instance of the AvroException class. More...

## Detailed Description

Used to communicate an exception that occurred while parsing a protocol.

## Constructor & Destructor Documentation

## ◆ ProtocolParseException() [1/3]

Avro.ProtocolParseException.ProtocolParseException | ( |  | ) |
| inline

Initializes a new instance of the ProtocolParseException class.

## ◆ ProtocolParseException() [2/3]

Avro.ProtocolParseException.ProtocolParseException | ( | string | s | ) |
| inline

Initializes a new instance of the ProtocolParseException class.

Parameters

  s | Exception message.

## ◆ ProtocolParseException() [3/3]

Avro.ProtocolParseException.ProtocolParseException | ( | string | s,
|  | Exception | inner
| ) |  |
| inline

Initializes a new instance of the ProtocolParseException class.

Parameters

  s | Exception message.
  inner | The exception that is the cause of the current exception, or a null reference if no inner exception is specified.

The documentation for this class was generated from the following file:

- src/apache/main/Protocol/ProtocolParseException.cs